Loading...
Searching...
No Matches
pcl::PassThrough< pcl::PCLPointCloud2 > Class Reference
Module filters

PassThrough uses the base Filter class methods to pass through all data that satisfies the user given constraints. More...

`#include <pcl/filters/passthrough.h>`

Inheritance diagram for pcl::PassThrough< pcl::PCLPointCloud2 >:

## Public Member Functions

| PassThrough (bool extract_removed_indices=false)
| Constructor.
void | setFilterFieldName (const std::string &field_name)
| Provide the name of the field to be used for filtering data.
std::string const | getFilterFieldName () const
| Get the name of the field used for filtering.
void | setFilterLimits (const double &limit_min, const double &limit_max)
| Set the field filter limits.
void | getFilterLimits (double &limit_min, double &limit_max) const
| Get the field filter limits (min/max) set by the user.
Public Member Functions inherited from pcl::FilterIndices< pcl::PCLPointCloud2 >
| FilterIndices (bool extract_removed_indices=false)
| Constructor.
void | filter (Indices &indices)
| Calls the filtering method and returns the filtered point cloud indices.
void | setNegative (bool negative)
| Set whether the regular conditions for points filtering should apply, or the inverted conditions.
bool | getNegative () const
| Get whether the regular conditions for points filtering should apply, or the inverted conditions.
void | setKeepOrganized (bool keep_organized)
| Set whether the filtered points should be kept and set to the value given through setUserFilterValue (default: NaN), or removed from the PointCloud, thus potentially breaking its organized structure.
bool | getKeepOrganized () const
| Get whether the filtered points should be kept and set to the value given through setUserFilterValue (default = NaN), or removed from the PointCloud, thus potentially breaking its organized structure.
void | setUserFilterValue (float value)
| Provide a value that the filtered points should be set to instead of removing them.
Public Member Functions inherited from pcl::Filter< pcl::PCLPointCloud2 >
| Filter (bool extract_removed_indices=false)
| Empty constructor.
IndicesConstPtr const | getRemovedIndices () const
| Get the point indices being removed.
void | getRemovedIndices (PointIndices &pi)
| Get the point indices being removed.
void | filter (PCLPointCloud2 &output)
| Calls the filtering method and returns the filtered dataset in output.
Public Member Functions inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
| PCLBase ()
| Empty constructor.
virtual | ~PCLBase ()=default
| destructor.
void | setInputCloud (const PCLPointCloud2ConstPtr &cloud)
| Provide a pointer to the input dataset.
PCLPointCloud2ConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset.
void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
IndicesPtr const | getIndices () const
| Get a pointer to the vector of indices used.

## Protected Member Functions

void | applyFilter (PCLPointCloud2 &output) override
| Abstract filter method for point cloud.
void | applyFilter (Indices &indices) override
| Abstract filter method for point cloud indices.
Protected Member Functions inherited from pcl::Filter< pcl::PCLPointCloud2 >
const std::string & | getClassName () const
| Get a string representation of the name of this class.
Protected Member Functions inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
bool | initCompute ()
bool | deinitCompute ()

## Additional Inherited Members

Public Types inherited from pcl::FilterIndices< pcl::PCLPointCloud2 >
using | PCLPointCloud2 = pcl::PCLPointCloud2
Public Types inherited from pcl::Filter< pcl::PCLPointCloud2 >
using | Ptr = shared_ptr< Filter< pcl::PCLPointCloud2 > >
using | ConstPtr = shared_ptr< const Filter< pcl::PCLPointCloud2 > >
using | PCLPointCloud2 = pcl::PCLPointCloud2
using | PCLPointCloud2Ptr = PCLPointCloud2::Ptr
using | PCLPointCloud2ConstPtr = PCLPointCloud2::ConstPtr
Public Types inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
using | PCLPointCloud2 = pcl::PCLPointCloud2
using | PCLPointCloud2Ptr = PCLPointCloud2::Ptr
using | PCLPointCloud2ConstPtr = PCLPointCloud2::ConstPtr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr
Protected Attributes inherited from pcl::FilterIndices< pcl::PCLPointCloud2 >
bool | negative_ {false}
| False = normal filter behavior (default), true = inverted behavior.
bool | keep_organized_ {false}
| False = remove points (default), true = redefine points, keep structure.
float | user_filter_value_
| The user given value that the filtered point dimensions should be set to (default = NaN).
Protected Attributes inherited from pcl::Filter< pcl::PCLPointCloud2 >
IndicesPtr | removed_indices_
| Indices of the points that are removed.
bool | extract_removed_indices_
| Set to true if we want to return the indices of the removed points.
std::string | filter_name_
| The filter name.
Protected Attributes inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
PCLPointCloud2ConstPtr | input_
| The input point cloud dataset.
IndicesPtr | indices_
| A pointer to the vector of point indices to use.
bool | use_indices_
| Set to true if point indices are used.
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.
std::vector< uindex_t > | field_sizes_
| The size of each individual field.
index_t | x_idx_
| The x-y-z fields indices.
index_t | y_idx_
index_t | z_idx_
std::string | x_field_name_
| The desired x-y-z field names.
std::string | y_field_name_
std::string | z_field_name_

## Detailed Description

PassThrough uses the base Filter class methods to pass through all data that satisfies the user given constraints.

Author
  Radu B. Rusu

Definition at line 203 of file passthrough.h.

## Constructor & Destructor Documentation

## PassThrough()

pcl::PassThrough< pcl::PCLPointCloud2 >::PassThrough | ( | bool | extract_removed_indices = `false` | ) |

inline

Constructor.

Definition at line 214 of file passthrough.h.

## Member Function Documentation

## applyFilter() [1/2]

void pcl::PassThrough< pcl::PCLPointCloud2 >::applyFilter | ( | Indices & | indices | ) |

override protected virtual

Abstract filter method for point cloud indices.

Implements pcl::FilterIndices< pcl::PCLPointCloud2 >.

## applyFilter() [2/2]

void pcl::PassThrough< pcl::PCLPointCloud2 >::applyFilter | ( | PCLPointCloud2 & | output | ) |

override protected virtual

Abstract filter method for point cloud.

Implements pcl::FilterIndices< pcl::PCLPointCloud2 >.

## getFilterFieldName()

std::string const pcl::PassThrough< pcl::PCLPointCloud2 >::getFilterFieldName | ( |  | ) | const

inline

Get the name of the field used for filtering.

Definition at line 234 of file passthrough.h.

## getFilterLimits()

void pcl::PassThrough< pcl::PCLPointCloud2 >::getFilterLimits | ( | double & | limit_min,
|  | double & | limit_max
| ) |  | const

inline

Get the field filter limits (min/max) set by the user.

The default values are std::numeric_limits<float>::lowest(), std::numeric_limits<float>::max().

Parameters

  [out] | limit_min | the minimum allowed field value
  [out] | limit_max | the maximum allowed field value

Definition at line 256 of file passthrough.h.

## setFilterFieldName()

void pcl::PassThrough< pcl::PCLPointCloud2 >::setFilterFieldName | ( | const std::string & | field_name | ) |

inline

Provide the name of the field to be used for filtering data.

In conjunction with setFilterLimits, points having values outside this interval will be discarded.

Parameters

  [in] | field_name | the name of the field that contains values used for filtering

Definition at line 227 of file passthrough.h.

## setFilterLimits()

void pcl::PassThrough< pcl::PCLPointCloud2 >::setFilterLimits | ( | const double & | limit_min,
|  | const double & | limit_max
| ) |  |

inline

Set the field filter limits.

All points having field values outside this interval will be discarded.

Parameters

  [in] | limit_min | the minimum allowed field value
  [in] | limit_max | the maximum allowed field value

Definition at line 244 of file passthrough.h.

The documentation for this class was generated from the following file:

- pcl/filters/passthrough.h